public class AnotherClass {
  public void myMethod() {
    System.out.println("This method is overridden in MyClass");
  }
}

class MyClass extends AnotherClass {
  @Override
  public void myMethod() {
    System.out.println("myMethod overrides the method in AnotherClass");
  }
  
  public void myMethod(int i) {
    System.out.println("myMethod is an overload");
  }
}